# website | MatterLinux website
Soruce code of Matterlinux's offical website, which is
located at [matterlinux.xyz](https://matterlinux.xyz)

### Deployment
Web server can be built and deployed with docker compose using the following
configuration file:
```yaml
version: "3"

services:
  website:
    image: matterwebsite
    restart: unless-stopped
    build:
      context: ./
    ports:
      - "127.0.0.1:9878:9878"
    volumes:
      - "./content:/app/content"
```
After saving the configuration file, you can build and run the docker container:
```bash
docker-compose up -d
```

### Managing content
Website content can be managed by editing JSON and markdown files
under the `content` direcotry.

MatterLinux's website content directory can be found in the 
[content](https://git.matterlinux.xyz/Matter/content)
repository.
